@ECHO OFF
TITLE = "MechWarrior 3 -dgVooDoo Configuration Suggestion Selector"
MODE con:cols=70 lines=30
SETLOCAL enabledelayedexpansion
SET dir=%CD%

:::::::::::::::::::::::::::::::::::::::::::::::::::::
::-------------------------------------------------::
::---                                           ---::
::---  MechWarrior 3,    -dvVooDoo              ---::
::---      Configuration Suggestion Script      ---::
::---           Made because WE care            ---::
::-------------------------------------------------::
::---                                           ---::
::---    Requisted By:                          ---::
::---                "AncientxFreako"           ---::
::---    Made By:                               ---::
::---                "Eledore Massis"           ---::
::---                                           ---::
::---   For easy Picking between different      ---::
::---     dgVooDoo, suggested Settings          ---::
::---                                           ---::
::-------------------------------------------------::
::---                                           ---::
::---  To use this file place it in the         ---::
::---   MW3 installation directory.             ---::
::---  E.G; C:\MicroProse\MechWarrior3          ---::
::---   And run this batch file                 ---::
::---                                           ---::
::-------------------------------------------------::
:::::::::::::::::::::::::::::::::::::::::::::::::::::
Freako set the background and lettering colors to honor Finnegan McCool.  He would always choose this for his little apps.
Everyone make sure to thank Elodore for writing this batch file! --Freako
:: Setting COLOR to '9' Light Blue 'f' Bright White
COLOR 3E
SET v=v0.01.c

::
:: Subfolder name where the configuration files are stored.
SET folder=dgvoodoo-settings
:: Below are all the different filenames with there labels
:: There are 7 in total. All are required to be set (do not remove them), but they can be left blank.
SET name1=Freako's  Suggested Settings
SET file1=FSS.conf
::
SET name2=Sake906's Suggested Settings
SET file2=SSS.conf
::
SET name3=Random1's Suggested Settings
SET file3=RSS.conf
::
SET name4=HerbyGuitar's Suggested Settings
SET file4=HSS.conf
::
SET name5=
SET file5=
::
SET name6=
SET file6=
::
SET name7=
SET file7=
::
:: Wait timer for first window. (in seconds)
SET time=30

::
:: Start of the program

:START
CD %dir%
CLS
:: Setting some variables
SET file=
SET name0=Backup of Origional Settings
SET file0=dgVoodoo.conf
:: Load previous attempted option. (or set to 0-zero)
IF EXIST %dir%\%folder%\config (
	SET /P attempt=<%dir%\%folder%\config
) ELSE (
	SET attempt=0
)
:: Check if a copy of the old/default configuration already exists, if not make one.
IF EXIST %dir%\%folder%\%file0% (
	GOTO WARNING
) ELSE (
	XCOPY /Y %dir%\%file0% %dir%\%folder%
	GOTO WARNING
)

:WARNING
CLS
ECHO.-------------------------------------------------
ECHO.---  MechWarrior 3,    -dvVooDoo              ---
ECHO.---      Configuration Suggestion Script      ---
ECHO.-------------------------------------------------
ECHO.---   Have problems with This                 ---
ECHO.---     Tell us about it^^!                     ---
ECHO.---                                           ---
ECHO.---    Discord                                ---
ECHO.---     MechWarrior 3 Community Project       ---
ECHO.---         https://discord.gg/wxcHxE9m2F     ---
ECHO.---           #help_w_mech3                   ---
ECHO.-------------------------------------------------
ECHO.---                                           ---
ECHO.---            ~^^!~ WARNING ~^^!~                ---
ECHO.---                                           ---
ECHO.---   This script will make changes           ---
ECHO.---     To your 'dgVooDoo' configuration.     ---
ECHO.---   If you do not like this, Quit^^!          ---
ECHO.---                                           ---
ECHO.---   Feel free to test our various           ---
ECHO.---     Configuration Suggestions.            ---
ECHO.---   We will make a backup                   ---
ECHO.---     of your existing config.              ---
ECHO.---                                           ---
ECHO.-------------------------------------------------
:: Waiting x seconds for people to read this.
TIMEOUT /T %time% /NOBREAK >nul
:: Setting selection to loop for people who press enter.
SET selection=loop
CLS
ECHO.-------------------------------------------------
ECHO.---  MechWarrior 3,    -dvVooDoo              ---
ECHO.---      Configuration Suggestion Script      ---
ECHO.-------------------------------------------------
ECHO.---   Have problems with This                 ---
ECHO.---     Tell us about it^^!                     ---
ECHO.---                                           ---
ECHO.---    Discord                                ---
ECHO.---     MechWarrior 3 Community Project       ---
ECHO.---         https://discord.gg/wxcHxE9m2F     ---
ECHO.---           #help_w_mech3                   ---
ECHO.-------------------------------------------------
ECHO.--- dgVooDoo configuration choices            ---
ECHO.---                                           ---
ECHO.--- [0] %name0%
ECHO.--- [1] %name1%
ECHO.--- [2] %name2%
ECHO.--- [3] %name3%
ECHO.--- [4] %name4%
ECHO.--- [5] %name5%
ECHO.--- [6] %name6%
ECHO.--- [7] %name7%
ECHO.--- [q]uit                                    ---
ECHO.---       Previous attempted [%attempt%]              ---
ECHO.-------------------------------------------------
SET /p selection=:
IF "%selection%"=="loop" (GOTO WARNING)
IF "%selection%"=="8" (GOTO WARNING)
IF "%selection%"=="9" (GOTO WARNING)
IF "%selection%"=="q" (GOTO END)
:: if entering a non number other then [q], ask them again!
IF %selection% NEQ +%selection% (
	GOTO WARNING
) ELSE (
	GOTO FILES
)


:FILES
:: Placing our selected choice into a file for reading the next time what we used.
ECHO.%selection%>%dir%\%folder%\config
:: Setting the correct file to use by using the selection number
CALL SET file=file%selection%
:: Deleting current dgVooDoo configuration file
DEL /Q %dir%\%file0% >nul
:: Copying over selected config into correct location. Forcing xcopy to write this as a file, not a directory.
ECHO F|XCOPY /Y %dir%\%folder%\!%file%! %dir%\%file0% >nul
CLS
ECHO.-------------------------------------------------
ECHO.---  MechWarrior 3,    -dvVooDoo              ---
ECHO.---      Configuration Suggestion Script      ---
ECHO.-------------------------------------------------
ECHO.---   Have problems with This                 ---
ECHO.---     Tell us about it^^!                     ---
ECHO.---                                           ---
ECHO.---    Discord                                ---
ECHO.---     MechWarrior 3 Community Project       ---
ECHO.---         https://discord.gg/wxcHxE9m2F     ---
ECHO.---           #help_w_mech3                   ---
ECHO.-------------------------------------------------
ECHO.--- dgVooDoo configuration choices            ---
ECHO.---                                           ---
ECHO.--- [0] %name0%
ECHO.--- [1] %name1%
ECHO.--- [2] %name2%
ECHO.--- [3] %name3%
ECHO.--- [4] %name4%
ECHO.--- [5] %name5%
ECHO.--- [6] %name6%
ECHO.--- [7] %name7%
ECHO.--- [q]uit                                    ---
ECHO.---       Previous attempted [%attempt%]              ---
ECHO.-------------------------------------------------
ECHO.---       Writing [%selection%] to folder               ---
ECHO.---         Press any key to finish           ---
ECHO.-------------------------------------------------
:: We grow bored quickly, press a key or we will time out for you.
TIMEOUT /T %time% >nul
GOTO END

:END
ECHO.
EXIT